# Nature In Pots – Modular Flask Plant Management App

This project is a modular, plugin-driven Flask application for tracking plants, their health, lineage, pricing, media, and more.

---

## 📦 Core Features

- 🔐 User Authentication (`auth`)
- 🌱 Plant Identity Profiles (`plant`)
- 📊 Grow Logs with Events (`growlog`)
- 🖼 Media Upload & Attachments (`media`)
- 🔍 Tag-based and name-based Search (`search`)
- 🛠 CLI Tools for Preloading and Seeding (`cli`)
- 🎨 UI Macros and Shared Layout (`core_ui`)

---

## 🧱 Plugin System

Each feature is implemented as a plugin under the `plugins/` directory. Each plugin is self-contained and includes:

- `models.py`
- `routes.py`
- `forms.py` *(if applicable)*
- `templates/`
- `plugin.json`

Plugins are auto-loaded via `app/__init__.py`.

---

## 🏗 Installation

### Prerequisites

- Python 3.11+
- MySQL server
- Virtualenv or Docker

### Setup

```bash
make install     # Install dependencies
make dev         # Start Flask development server
make db          # Initialize database
make seed        # Seed database with test data
